
Smart Proxy - Refactor #14618

Refactor plugin initialization and loading

04/13/2016 11:23 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/390

  

Description

to allow for:

- support for multiple simultaneous providers

- programmatically defined settings

- custom validators

- ability to customize module loading

Related issues:

Related to Smart Proxy - Bug #15025: Warning on startup: Couldn't find settin... Closed 05/12/2016

Related to Smart Proxy - Bug #15110: Default setting values used for module i... Closed 05/20/2016

Blocks Smart Proxy - Feature #13667: puppet_proxy and puppetca modules load p... Closed 02/11/2016

Associated revisions

Revision 342eeda9 - 05/11/2016 03:30 AM - Dmitri Dolguikh 

Fixes #14618 - refactored module initialization

to allow for:

    - support for multiple simultaneous providers

    - programmatically defined settings

    - custom validators

    - ability to customize module loading

 
Also includes support for constructor-based dependency injection

History

#1 - 04/13/2016 11:23 AM - Anonymous

- Category set to Core

#2 - 04/14/2016 03:18 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/390 added

#3 - 04/15/2016 09:10 AM - Dominic Cleal

- Blocks Feature #13667: puppet_proxy and puppetca modules load puppet gem in puppet 4.0 and higher environments  added

#4 - 05/11/2016 03:30 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 05/11/2016 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 342eeda9a14422a30f08f3ce6539577ea6a740c8.

#6 - 05/12/2016 11:15 AM - Dominic Cleal

- Related to Bug #15025: Warning on startup: Couldn't find settings file config/settings.d/foreman_proxy.yml added

#7 - 05/23/2016 07:45 AM - Dominic Cleal

- Related to Bug #15110: Default setting values used for module initialization aren't being marked as "default" when they are logged. added
